package ru.myitschool.work.ui.screen.meetings

import kotlinx.collections.immutable.PersistentList

sealed interface MeetingsState {
    data object Loading: MeetingsState
    data object Empty: MeetingsState
    data class Error(
        val error: String
    ): MeetingsState
    data class Data(
        val books: PersistentList<Book>,
    ): MeetingsState {
        data class Book(
            val date: String,
        )
    }
}

